Qt 5.6 | Qt 3D | C++ Classes | QPolygonOffset

Qt 5.6.3 Reference Documentation

# QPolygonOffset Class

(Qt3DRender::QPolygonOffset)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- factor : float
- units : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QPolygonOffset(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QPolygonOffset()
float | factor() const
float | units() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setFactor(float factor)
void | setUnits(float units)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | factorChanged(float factor)
void | unitsChanged(float units)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### factor : float

Access functions:

float | factor() const
void | setFactor(float factor)

Notifier signal:

void | factorChanged(float factor)

### units : float

Access functions:

float | units() const
void | setUnits(float units)

Notifier signal:

void | unitsChanged(float units)

## Member Function Documentation

### QPolygonOffset::QPolygonOffset(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QPolygonOffset.

### QPolygonOffset::~QPolygonOffset()

Destroys the instance of QPolygonOffset.

### `[protected]` void QPolygonOffset::copy(const Qt3DCore::QNode *ref)